/* Map related styles */
.country-labels {
  display: flex !important;
  justify-content: center;
  align-items: center;
  color: white;
  font-weight: bold;
}

path {
  stroke-width: 1;
}

#map-dataset,
button {
  font-size: 14px;
  font-family: 'Arial', sans-serif;
  background-color: white;
  color: #0E47CB;
  border: 1px solid #0E47CB;
  padding: 8px 12px;
  border-radius: 8px;
  cursor: pointer;
  text-decoration: none;
}

#map-dataset {
  position: absolute;
  top: 10px;
  right: 10px;
  z-index: 2;
  background: #3E6CD5;
  color: white;
  display: flex;
  align-items: center;
  gap: 6px;
}
button#map-filters {
  position: absolute;
  top: 10px;
  left: 10px;
  z-index: 2;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 6px;
}
button#map-filters #arrow-icon {
  transform: rotate(90deg);
}

.map-wrapper {
  position: relative;
}

@media all {
  #map-container .wt-map-panels {
    width: 40px;
    height: 205px;
    border-radius: 4px;
    right: 20px;
    top: 50%;
    transform: translateY(-50%);
    min-width: unset;
  }
  #map-container .wtmap .wt-map, .wtmap .leaflet-control-map-container {
    margin-right: 0;
  }
  #map-container .wt-map-menu {
    border-radius: 4px;
    overflow: hidden;
    width: 40px;
    margin: 0 0 0 -45px;
  }
  #map-container .chorojson-legend-map-container.leaflet-control li {
    font-size: 12px;
  }
  #map-container .wt-map-menu .wt-btn, .wt-map-menu .wt-btn:focus, .wt-map-menu .wt-btn:active {
    width: 40px;
    height: 40px;
    transform: scale(0.8);
  }
  #map-container .wtmap .wt-map-content { 
    border: none;
  }
}